aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xtools/der-to-pem27
1 files changed, 27 insertions, 0 deletions
diff --git a/tools/der-to-pem b/tools/der-to-pem
new file mode 100755
index 000000000..183996654
--- /dev/null
+++ b/tools/der-to-pem
@@ -0,0 +1,27 @@
+#!/bin/sh
+# Convert A BER or DER encoding to PEM format.
+#
+# Copyright 20032 Free Software Foundation, Inc.
+#
+# This program is Free Software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+PGM="der-to-pem"
+if [ $# == 0 ]; then
+ input=""
+elif [ $# == 1 ]; then
+ input="$1"
+else
+ echo "usage: $PGM [<inputfile>]" >&2
+ exit 1
+fi
+
+echo "-----BEGIN CERTIFICATE-----"
+mimencode $input
+echo "-----END CERTIFICATE-----"
+